Debian Bug report logs - #393386
Source package contains non-free IETF RFC/I-D's

version graph

Package: libemail-find-perl; Maintainer for libemail-find-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libemail-find-perl is src:libemail-find-perl.

Reported by: Simon Josefsson <jas@extundo.com>

Date: Mon, 16 Oct 2006 10:20:25 UTC

Severity: serious

Tags: etch-ignore

Found in version libemail-find-perl/0.09-4

Fixed in version libemail-find-perl/0.09-dfsg-1

Done: Francesco Cecconi <francesco.cecconi@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#393386; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <jas@extundo.com>:
New Bug report received and forwarded. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <jas@extundo.com>
To: submit@bugs.debian.org
Subject: Source package contains non-free IETF RFC/I-D's
Date: Mon, 16 Oct 2006 12:03:51 +0200
Package: libemail-find-perl
Version: 0.09-4
Severity: serious

Hi!

This bug has been filed on multiple packages, and general discussions
are kindly requested to take place on debian-legal or debian-devel in
the thread with Subject: "Non-free IETF RFC/I-Ds in source packages".

It seems this source package contains the following files from the
IETF under non-free license terms:

Email-Find-0.09/t/rfc822.txt 

The license on RFC/I-Ds is not DFSG-free, see:
 * http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
 * http://release.debian.org/removing-non-free-documentation
 * http://wiki.debian.org/NonFreeIETFDocuments

The etch release policy says binary and source packages must each be free:
 * http://release.debian.org/etch_rc_policy.txt

The severity is serious, because this violates the Debian policy:
 * http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg

There are (at least) three ways to fix this problem.  In order of
preference:

1. Ask the author of the RFC to re-license the RFC under a free
   license.  A template for this e-mail request can be found at
   http://wiki.debian.org/NonFreeIETFDocuments

2. Remove the non-free material from the source, e.g., by re-packaging
   the upstream archive and adding a 'dfsg' version name to it.

3. Move the package to non-free.

I went over many packages looking for names of likely non-free files,
and there may be false positives.  If this is the case for your
package, I'm sorry for the noise.  I'll modify the scripts to take
into account false positives when I learn of them, and publish the
list of exceptions under "Known exceptions" at
<http://wiki.debian.org/NonFreeIETFDocuments>.

Thanks,
Simon



Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#393386; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #10 received at 393386@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Simon Josefsson <jas@extundo.com>, 393356@bugs.debian.org, 393357@bugs.debian.org, 393358@bugs.debian.org, 393359@bugs.debian.org, 393360@bugs.debian.org, 393361@bugs.debian.org, 393364@bugs.debian.org, 393365@bugs.debian.org, 393366@bugs.debian.org, 393367@bugs.debian.org, 393368@bugs.debian.org, 393369@bugs.debian.org, 393370@bugs.debian.org, 393371@bugs.debian.org, 393372@bugs.debian.org, 393373@bugs.debian.org, 393374@bugs.debian.org, 393375@bugs.debian.org, 393376@bugs.debian.org, 393377@bugs.debian.org, 393378@bugs.debian.org, 393379@bugs.debian.org, 393380@bugs.debian.org, 393381@bugs.debian.org, 393382@bugs.debian.org, 393383@bugs.debian.org, 393384@bugs.debian.org, 393385@bugs.debian.org, 393386@bugs.debian.org, 393387@bugs.debian.org, 393388@bugs.debian.org, 393389@bugs.debian.org, 393390@bugs.debian.org, 393391@bugs.debian.org, 393392@bugs.debian.org, 393393@bugs.debian.org, 393394@bugs.debian.org, 393395@bugs.debian.org, 393396@bugs.debian.org, 393397@bugs.debian.org, 393398@bugs.debian.org, 393399@bugs.debian.org, 393400@bugs.debian.org, 393402@bugs.debian.org, 393403@bugs.debian.org, 393405@bugs.debian.org, 393406@bugs.debian.org, 393408@bugs.debian.org, 393409@bugs.debian.org, 393410@bugs.debian.org, 393411@bugs.debian.org, 393412@bugs.debian.org, 393413@bugs.debian.org, 393414@bugs.debian.org, 393415@bugs.debian.org, 393416@bugs.debian.org, 393417@bugs.debian.org, 393418@bugs.debian.org, 393419@bugs.debian.org, 393420@bugs.debian.org, 393421@bugs.debian.org, 393422@bugs.debian.org, 393423@bugs.debian.org, 393424@bugs.debian.org, 393425@bugs.debian.org
Subject: Re: Bug#393356: Source package contains non-free IETF RFC/I-D's
Date: Mon, 16 Oct 2006 22:02:24 -0700
tags 393356 etch-ignore
tags 393357 etch-ignore
tags 393358 etch-ignore 
tags 393359 etch-ignore
tags 393360 etch-ignore 
tags 393361 etch-ignore 
tags 393364 etch-ignore 
tags 393365 etch-ignore 
tags 393366 etch-ignore 
tags 393367 etch-ignore 
tags 393368 etch-ignore 
tags 393369 etch-ignore 
tags 393370 etch-ignore 
tags 393371 etch-ignore 
tags 393372 etch-ignore 
tags 393373 etch-ignore 
tags 393374 etch-ignore 
tags 393375 etch-ignore 
tags 393376 etch-ignore 
tags 393377 etch-ignore 
tags 393378 etch-ignore 
tags 393379 etch-ignore 
tags 393380 etch-ignore 
tags 393381 etch-ignore 
tags 393382 etch-ignore 
tags 393383 etch-ignore 
tags 393384 etch-ignore 
tags 393385 etch-ignore 
tags 393386 etch-ignore 
tags 393387 etch-ignore 
tags 393388 etch-ignore 
tags 393389 etch-ignore 
tags 393390 etch-ignore 
tags 393391 etch-ignore 
tags 393392 etch-ignore 
tags 393393 etch-ignore 
tags 393394 etch-ignore 
tags 393395 etch-ignore 
tags 393396 etch-ignore 
tags 393397 etch-ignore 
tags 393398 etch-ignore 
tags 393399 etch-ignore 
tags 393400 etch-ignore 
tags 393402 etch-ignore 
tags 393403 etch-ignore 
tags 393405 etch-ignore 
tags 393406 etch-ignore 
tags 393408 etch-ignore 
tags 393409 etch-ignore 
tags 393410 etch-ignore 
tags 393411 etch-ignore 
tags 393412 etch-ignore 
tags 393413 etch-ignore 
tags 393414 etch-ignore 
tags 393415 etch-ignore 
tags 393416 etch-ignore 
tags 393417 etch-ignore 
tags 393418 etch-ignore 
tags 393419 etch-ignore 
tags 393420 etch-ignore 
tags 393421 etch-ignore 
tags 393422 etch-ignore 
tags 393423 etch-ignore 
tags 393424 etch-ignore 
tags 393425 etch-ignore
thanks

Hi Simon,

On Mon, Oct 16, 2006 at 11:51:17AM +0200, Simon Josefsson wrote:
> This bug has been filed on multiple packages, and general discussions
> are kindly requested to take place on debian-legal or debian-devel in
> the thread with Subject: "Non-free IETF RFC/I-Ds in source packages".

> It seems this source package contains the following files from the
> IETF under non-free license terms:

> apg-2.2.3/doc/rfc0972.txt 
> apg-2.2.3/doc/rfc1750.txt 

> The license on RFC/I-Ds is not DFSG-free, see:
>  * http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
>  * http://release.debian.org/removing-non-free-documentation
>  * http://wiki.debian.org/NonFreeIETFDocuments

> The etch release policy says binary and source packages must each be free:
>  * http://release.debian.org/etch_rc_policy.txt

> The severity is serious, because this violates the Debian policy:
>  * http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg

> There are (at least) three ways to fix this problem.  In order of
> preference:

> 1. Ask the author of the RFC to re-license the RFC under a free
>    license.  A template for this e-mail request can be found at
>    http://wiki.debian.org/NonFreeIETFDocuments

> 2. Remove the non-free material from the source, e.g., by re-packaging
>    the upstream archive and adding a 'dfsg' version name to it.

> 3. Move the package to non-free.

> I went over many packages looking for names of likely non-free files,
> and there may be false positives.  If this is the case for your
> package, I'm sorry for the noise.  I'll modify the scripts to take
> into account false positives when I learn of them, and publish the
> list of exceptions under "Known exceptions" at
> <http://wiki.debian.org/NonFreeIETFDocuments>.

Andi Barth and I have discussed these bugs, and we believe these bugs should
be granted an exception for etch, for the following reasons:

- As you mention, this mass-filing is based on file names and may include
  false positives for this reason.  Given this uncertainty, which covers
  both files that may not actually contain RFCs and RFCs that may be
  distributed with separate permissions from the authors, I do not consider
  it reasonable for the burden to be on the maintainers (and the release
  team) to demonstrate any particular bug to be a false-positive before the
  package can be included in the release.
- The time between the bug filing and the scheduled release of etch is now
  relatively short, and I don't believe, given the comparatively small
  impact of these bugs (where RC bugs are concerned), that they should
  warrant either delaying the release of etch or requiring the removal of a
  package so affected.  It is normal to allow some latitude for such license
  issues while they are being investigated/addressed.

I'm happy to see that a number of maintainers have already made uploads (or
are preparing uploads) to address these bugs, and I would encourage all
maintainers to try to address such bugs in their packages for release.  I am
also certainly happy to grant freeze exceptions for uploads fixing these
bugs.  We only will not treat these as bugs that must be fixed prior to
release.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Tags added: etch-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Josefsson <jas@extundo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 393386-close@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: 393386-close@bugs.debian.org
Subject: Bug#393386: fixed in libemail-find-perl 0.09-dfsg-1
Date: Sat, 04 Nov 2006 08:17:27 -0800
Source: libemail-find-perl
Source-Version: 0.09-dfsg-1

We believe that the bug you reported is fixed in the latest version of
libemail-find-perl, which is due to be installed in the Debian FTP archive:

libemail-find-perl_0.09-dfsg-1.diff.gz
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-1.diff.gz
libemail-find-perl_0.09-dfsg-1.dsc
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-1.dsc
libemail-find-perl_0.09-dfsg-1_all.deb
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-1_all.deb
libemail-find-perl_0.09-dfsg.orig.tar.gz
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393386@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Cecconi <francesco.cecconi@gmail.com> (supplier of updated libemail-find-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  4 Nov 2006 10:47:48 +0100
Source: libemail-find-perl
Binary: libemail-find-perl
Architecture: source all
Version: 0.09-dfsg-1
Distribution: unstable
Urgency: high
Maintainer: Francesco Cecconi <francesco.cecconi@gmail.com>
Changed-By: Francesco Cecconi <francesco.cecconi@gmail.com>
Description: 
 libemail-find-perl - Find RFC 822 email addresses in plain text
Closes: 393386
Changes: 
 libemail-find-perl (0.09-dfsg-1) unstable; urgency=high
 .
   * Removed Non-free IETF RFC/I-Ds in source packages (Closes: #393386)
Files: 
 98af5f3cea45cddde878d0ff13c1be30 734 perl optional libemail-find-perl_0.09-dfsg-1.dsc
 fe7003cdc03cfb2d90e04a1935ec38cd 6843 perl optional libemail-find-perl_0.09-dfsg.orig.tar.gz
 2de1c41f02d76a13e149ab24089a426b 2342 perl optional libemail-find-perl_0.09-dfsg-1.diff.gz
 6ab9a3a5c6eadc481f0291043de1a916 16678 perl optional libemail-find-perl_0.09-dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFTLwz2A7zWou1J68RAv36AJ9JRfwifETKQuFSvvsaJC4UaCjctQCeL4uO
7GNsrOUBXmLL9sZxByRtSzA=
=3q0U
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 22:49:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:22:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.